### Method

# WebKit WebView get_snapshot

#### Declaration [src]

    void
    webkit_web_view_get_snapshot (
      WebKitWebView* web_view,
      WebKitSnapshotRegion region,
      WebKitSnapshotOptions options,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously retrieves a snapshot of `web_view` for `region`.

`options` specifies how the snapshot should be rendered.

When the operation is finished, `callback` will be called. You must call `webkit_web_view_get_snapshot_finish()` to get the result of the operation.

This method completes asynchronously. Use `webkit_web_view_get_snapshot_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`region`

  Type: `WebKitSnapshotRegion`

  The `WebKitSnapshotRegion` for this snapshot.

`options`

  Type: `WebKitSnapshotOptions`

  `WebKitSnapshotOptions` for the snapshot.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the method.